## org.apache.mahout.classifier
Class RegressionResultAnalyzer

    java.lang.Object
      org.apache.mahout.classifier.RegressionResultAnalyzer

    public class RegressionResultAnalyzer

extends Object

ResultAnalyzer captures the classification statistics and displays in a tabular manner

Constructor Summary
`RegressionResultAnalyzer()`

Method Summary
`void` `addInstance(double actual, double result)`
`void` `setInstances(double[][] results)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegressionResultAnalyzer

    public RegressionResultAnalyzer()

Method Detail

### addInstance

    public void addInstance(double actual,
                            double result)

  Parameters:
    `actual` - The actual answer
    `result` - The regression result

### setInstances

    public void setInstances(double[][] results)

  Parameters:
    `results` - The results table

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.